morpheus

suckless linux distro
git clone git://git.2f30.org/morpheus
Log | Files | Refs | Submodules | README | LICENSE

commit e263c23651725a9d7d404c2b8cb8f6ef60dc332e
parent 4edf892bc288a552cdeae0feba11fd86944528d6
Author: sin <sin@2f30.org>
Date:   Thu, 20 Feb 2014 15:59:01 +0000

If any step in the build process fails, don't continue to the next targets

Diffstat:
Mbuild | 25++++++++++++++++++++-----
1 file changed, 20 insertions(+), 5 deletions(-)

diff --git a/build b/build @@ -26,9 +26,24 @@ install() { . $1 ( - fetch || echo "Failed to fetch $1" >> $top/morpheus.log - unpack || echo "Failed to unpack $1" >> $top/morpheus.log - patch || echo "Failed to patch $1" >> $top/morpheus.log - build || echo "Failed to build $1" >> $top/morpheus.log - install || echo "Failed to install $1" >> $top/morpheus.log + if ! fetch; then + echo "Failed to fetch $1" >> $top/morpheus.log + exit 1 + fi + if ! unpack; then + echo "Failed to unpack $1" >> $top/morpheus.log + exit 1 + fi + if ! patch; then + echo "Failed to patch $1" >> $top/morpheus.log + exit 1 + fi + if ! build; then + echo "Failed to build $1" >> $top/morpheus.log + exit 1 + fi + if ! install; then + echo "Failed to install $1" >> $top/morpheus.log + exit 1 + fi )